LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices


Reply
  Search this Thread
Old 06-21-2008, 02:26 AM   #1
chettyravi
LQ Newbie
 
Registered: Jun 2008
Posts: 1

Rep: Reputation: 0
relocation error:symbol_dl_loaded version GLIBC_2.1 not defined in file ld-linux.so.2


Hello everyone,

I am new to this forum and new to linux too.

Please help me out in resolving a problem which i am facing when i ran software tool on redhat 9.0.

when i try to software tool in gui mode i got the following problem.

"relocation error:tool: symbol_dl_loaded version GLIBC_2.1 not defined in file ld_linux.so.2 with link .time reference"

i analysed this problem its related to glibc,
tool will support glibc_2.1(redhat 7.2) the current glibc will be redhat 9.0 glibc.

kindly suggest me on this problem.

Thanks in advance,

Ravi.
 
Old 06-21-2008, 03:28 PM   #2
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,363

Rep: Reputation: 172Reputation: 172
Chettyravi

You do realize that support for RH9 was dropped in 2004? If money is the issue, Centos is free to download and update. Centos is RHEL(Red Hat Enterprise Linux) with the logos removed. The current version is 5.1.


Since RH9 is so old I do not know if it will apply but current versions have compatlibs that allow them to recompile software written for ealier versions. As a general rule most software has to be compiled to run on a specific gcc version, so most RH7 software will probably have to be recompiled to run on RH9.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Error on install:GLIBC_2.0 not defined fordown Linux - Software 7 04-02-2009 06:28 AM
"symbol __pthread_initialize, version GLIBC_2.0 not defined in file libpthread.so.0" citrus Linux - Software 6 01-06-2007 12:24 AM
version GLIBC_2.0 not defined in filelibc.so.6 biogeneticmonkey Linux - Software 2 04-06-2006 10:25 AM
Error on install:GLIBC_2.0 not defined fordown Linux - Software 2 09-20-2004 01:42 AM
Problem with Insight II - version GLIBC_2.2 not defined in file libc.so.6... belga Linux - Software 3 08-18-2004 02:01 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat

All times are GMT -5. The time now is 04:04 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration